PHP ��U
前一頁 |  | 下一頁

# geoip_region_by_name

(no version information, might be only in CVS)

geoip_region_by_name -- Get the country code and region

## Description

array geoip_region_by_name ( string hostname )

The geoip_region_by_name() function will return the country and region corresponding to a hostname or an IP address.

This function is currently only available to users who have bought a commercial GeoIP Region Edition. A warning will be issued if the proper database cannot be located.

The names of the different keys of the returning associative array are as follows:

- "country_code" -- Two letter country code (see geoip_country_code_by_name())

- "region" -- The region code (ex: CA for California)

## Parameters

hostname

  The hostname or IP address whose region is to be looked-up.

## Return Values

Returns the associative array on success, or `FALSE` if the address cannot be found in the database.

## �d��

範例 1. A geoip_region_by_name() example

This will print the array containing the country code and region of the host example.com.

`<?php $region = geoip_region_by_name('www.example.com'); if ($region) { print_r($region); } ?>`

The above example will output:

    Array
    (
        [country_code] => US
        [region] => CA
    )

前一頁 | 內容 | 下一頁
geoip_record_by_name | 上一層 | Gettext